services:
  abiotic-server:
    image: "ghcr.io/pleut/abiotic-factor-linux-docker:latest"
    restart: unless-stopped
    volumes:
      - "./gamefiles:/server"
      - "./data:/server/AbioticFactor/Saved"
    environment:
      - MaxServerPlayers=6
      - Port=7777
      - QueryPort=27015
      - ServerPassword=Lukas
      - SteamServerName=DeAbioticServer
      - UsePerfThreads=true
      - NoAsyncLoadingThread=true
      - WorldSaveName=Lukas&Jan
      - AutoUpdate=true
    ports:
      - "7777:7777/udp"
      - "27015:27015/udp"
